MongoCollection::find
MongoCollection::getDBRef
MongoCollection
PHP Manual

# MongoCollection::findOne

(PECL mongo >=0.9.0)

MongoCollection::findOne — Querys this collection, returning a single element

### Description

public array MongoCollection::findOne ([ array `$query` = array() [, array `$fields` = array() ]] )

### Parameters

`query`

  The fields for which to search.

`fields`

  Fields of the results to return.

### Return Values

Returns record matching the search or `NULL`.

MongoCollection::find
MongoCollection::getDBRef
MongoCollection
PHP Manual